Package twisted :: Package news :: Module database :: Class NewsShelf

[frames | no frames]

## Class NewsShelf

A NewStorage implementation using Twisted's dirdbm persistence module.

Method Summary
| `__init__(self, mailhost, path)`
| `addGroup(self, name, flags)`
| `addModerator(self, group, email)`
| `addSubscription(self, name)`
| `articleExistsRequest(self, id)`
| `articleRequest(self, group, index, id)`
| `bodyRequest(self, group, index, id)`
| `getModerator(self, groups)`
| `groupRequest(self, group)`
| `headRequest(self, group, index, id)`
| `initialize(self)`
| `listGroupRequest(self, group)`
| `listRequest(self)`
| `notifyModerator(self, moderator, article)`
| `overviewRequest(self)`
| `postRequest(self, message)`
| `subscriptionRequest(self)`
| `xhdrRequest(self, group, low, high, header)`
| `xoverRequest(self, group, low, high)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.news.database.INewsStor...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.news.database.INewsStorage at 0x8c3ecf4>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net